﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLStudio.BusinessLogic
{
    class AlterView: View
    {
        private String TABLE_CATALOG;
        private String TABLE_SCHEMA; 
        private String TABLE_NAME; 
        private String VIEW_DEFINITION;
        private String CHECK_OPTION;
        private String IS_UPDATABLE;
        private String DEFINER; 
        private String SECURITY_TYPE; 
        private String CHARACTER_SET_CLIENT;
        private String COLLATION_CONNECTION;

        public AlterView(       String TABLE_CATALOG,
                                String TABLE_SCHEMA, 
                                String TABLE_NAME, 
                                String VIEW_DEFINITION,
                                String CHECK_OPTION,
                                String IS_UPDATABLE,
                                String DEFINER,
                                String SECURITY_TYPE, 
                                String CHARACTER_SET_CLIENT,
                                String COLLATION_CONNECTION,
                                String connectionString)
            :base(TABLE_NAME,
                    TABLE_SCHEMA,
                    String.Empty,
                    new DateTime(),
                    new DateTime(),
                    VIEW_DEFINITION,
                    connectionString)
        {
            this.TABLE_CATALOG = TABLE_CATALOG;
            this.CHECK_OPTION = CHECK_OPTION;
            this.IS_UPDATABLE = IS_UPDATABLE;
            this.DEFINER = DEFINER; 
            this.SECURITY_TYPE = SECURITY_TYPE; 
            this.CHARACTER_SET_CLIENT = CHARACTER_SET_CLIENT;
            this.COLLATION_CONNECTION = COLLATION_CONNECTION;
        }
    }
}
