﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLStudio.ComponentModel
{
    public class ItemRemovedEventArgs : EventArgs
    {
        private int m_deletedItemIndex;        
        private object m_deletedItem;       

        public ItemRemovedEventArgs(int deletedItemIndex, object deletedItem)
        {
            this.m_deletedItemIndex = deletedItemIndex;
            this.m_deletedItem = deletedItem;
        }

        public int DeletedItemIndex
        {
            get { return m_deletedItemIndex; }
            set { m_deletedItemIndex = value; }
        }

        public object DeletedItem
        {
            get { return m_deletedItem; }
            set { m_deletedItem = value; }
        }
    }
}
