﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLStudio.GUI.Controls.Table
{
    public class TableSavedEventArgs : EventArgs
    {
        private string m_host;
        private string m_database;
        private string m_table;

        public TableSavedEventArgs(string host, string database, string table)           
        {
            this.m_host = host;
            this.m_database = database;
            this.m_table = table;
        }

        public string Host
        {
            get
            {
                return this.m_host;
            }
        }

        public string Database
        {
            get
            {
                return this.m_database;
            }
        }

        public string Table
        {
            get
            {
                return this.m_table;
            }
        }
    }
}
