﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MySQLStudio.BusinessLogic.ComponentModel
{
    public class ColumnTypeDescriptionProvider : TypeDescriptionProvider
    {
        public ColumnTypeDescriptionProvider()
            : base(TypeDescriptor.GetProvider(typeof(Column)))
        {
        }

        public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance)
        {
            return new ColumnTypeDescriptor((Column)instance, base.GetTypeDescriptor(objectType, instance));
        }
    }
}
