﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MySQLStudio.BusinessLogic
{
    public abstract class BaseDatabaseObject
    {
        protected string m_name;
        protected string m_schema;
        protected string m_type;
        
        [Category("(General)")]
        public virtual string Name
        {
            get { return m_name; }
            set { m_name = value; }
        }

        [Category("(General)")]
        [Browsable(false)]
        public string Schema
        {
            get { return m_schema; }
            set { m_schema = value; }
        }

        [Category("(General)")]
        [Browsable(false)]
        public string Type
        {
            get { return m_type; }
            set { m_type = value; }
        }
    }
}
