﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySQLStudio.BusinessLogic
{
    public class ColumnChangedEventArgs : EventArgs
    {
        private Column m_column;

        public Column Column
        {
            get
            {
                return m_column;
            }
            set
            {
                m_column = value;
            }
        }

        public ColumnChangedEventArgs(Column column)
        {
            this.m_column = column;
        }
    }
}
