﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Common;
using System.Data;

namespace MySQLStudio.Common.Data
{
    public class Parameter
    {
        private DbType dbType;
        private ParameterDirection direction;
        private string parameterName;
        private object value;
        private int size;

        public Parameter()
        {
        }

        public Parameter(string parameterName, DbType dbType)
        {
            this.parameterName = parameterName;
            this.dbType = dbType;
        }

        public Parameter(string parameterName, object value)
        {
            this.parameterName = parameterName;
            this.value = value;
        }

        public DbType DbType
        {
            get
            {
                return this.dbType;
            }
            set
            {
                this.dbType = value;
            }
        }

        public ParameterDirection Direction
        {
            get
            {
                return this.direction;
            }
            set
            {
                this.direction = value;
            }
        }       

        public string ParameterName
        {
            get
            {
                return this.parameterName;
            }
            set
            {
                this.parameterName = value;
            }
        }        

        public int Size
        {
            get
            {
                return this.size;
            }
            set
            {
                this.size = value;
            }
        }       

        public object Value
        {
            get
            {
                return this.value;
            }
            set
            {
                this.value = value;
            }
        }
    }
}
