﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MySQLStudio.Common
{
    public class DataBaseAccessException : Exception
    {
        public DataBaseAccessException(string message, Exception innerException)
            :base(message, innerException)
        {

        }
        public DataBaseAccessException(string Message, string ConnectionName, string ProcedureName)
            : base("Connection: " + ConnectionName + "\r\nProcedure: " + ProcedureName + "\r\n" + Message)
        {
        }

        public DataBaseAccessException(string Message, string ConnectionName, string ProcedureName, Exception innerException)
            : base("Connection: " + ConnectionName + "\r\nProcedure: " + ProcedureName + "\r\n" + Message, innerException)
        {
        }

        public DataBaseAccessException(string Message, string ProcedureName, Exception innerException)
            : base("Procedure: " + ProcedureName + "\r\nMessage: " + Message, innerException)
        {

        }
    }
}
